Subject: bug#67653: 29.1; Regression: When using a minibuffer-only frame, setting `resize-mini-frames' hangs Emacs

From: Stephen Berman <[email-masked]>
Date: Thu, 07 Dec 2023 11:26:58 +0100

On Thu, 07 Dec 2023 12:11:28 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: Nicolas Odermatt-Lemay <[email-masked]>,  Po Lu
>>  <[email-masked]>,  [email-masked]
>> Date: Thu, 07 Dec 2023 10:07:46 +0100
>>
>> On Thu, 07 Dec 2023 09:21:37 +0200 Eli Zaretskii <[email-masked]> wrote:
>>
>> >> From: Nicolas Odermatt-Lemay <[email-masked]>
>> >> Date: Wed, 6 Dec 2023 22:41:46 -0500
>> >> Cc: [email-masked]
>> >>
>> >> Sorry about that, here is the details:
>> >>
>> >> In GNU Emacs 29.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.37,
>> >> cairo version 1.16.0)
>> >> Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
>> >> System Description: Guix System
>> [...]
>> > Thanks.
>> >
>> > Can anyone reproduce this on GNU/Linux?
>>
>> Yes, I can, on both emacs-29 and master (I cannot currently test earlier
>> versions).
>
> Thanks, then please attach GDB to the Emacs process when it is hung,
> and type this at the GDB prompt:
>
>   (gdb) thread apply all bt
>
> Then post here everything GDB produces as result.

Attached.  (I didn't attach gdb but started emacs in gdb and then
induced the hang, so I think the backtrace should be essentially the
same, but if you really want me to attach gdb, I'll do it.)

Steve Berman